CHGPASSWD(8)

NOM
chgpasswd - Mettre à jour par lot des mots de passe des groupes

SYNOPSIS

chgpasswd [options]

DESCRIPTION

La commande chgpasswd lit une liste de paires de noms de groupes et de mots de passe depuis l'entrée standard et utilise ces informations pour mettre à jour un ensemble de groupes existants. Chaque ligne est au format suivant :

nom_utilisateur:mot_de_passe

Par défaut, le mot de passe doit être fourni en clair, et est chiffré par chgpasswd.

L'algorithme de chiffrement peut être défini pour le système avec la variable ENCRYPT_METHOD de /etc/login.defs et peut être surchargé avec les options -e, -m ou -c.

Cette commande est destinée aux gros systèmes pour lesquels un nombre importants de comptes sont créés en une seule fois.

OPTIONS

Les options disponibles pour la commande chgpasswd sont :

-c, --crypt-method
    Utiliser la méthode précisée pour chiffrer les mots de passe.

    Les méthodes disponibles sont DES, MD5, NONE et SHA256 ou SHA512 si votre libc prend en charge ces méthodes.

-e, --encrypted
    Indiquer que les mots de passe fournis sont chiffrés.

-h, --help
    Afficher un message d'aide et quitter.

-m, --md5
    Permettre d'utiliser le chiffrement MD5, plutôt que DES, lorsque les mots de passe fournis ne sont pas chiffrés.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-s, --sha-rounds
    Utiliser le nombre de rounds précisé pour chiffrer les mots de passe.

    La valeur 0 signifie que le système choisira la valeur par défaut du nombre de rounds pour la méthode de chiffrement (5 000).

    Une valeur minimale de 1 000 et une valeur maximale de 999 999 999 seront imposées.

    Vous ne pouvez utiliser cette méthode qu'avec les méthodes de chiffrement SHA256 ou SHA512.

    Par défaut, le nombre de rounds est défini par les variables SHA_CRYPT_MIN_ROUNDS et SHA_CRYPT_MAX_ROUNDS dans /etc/login.defs.

AVERTISSEMENTS

Pensez à configurer les permissions ou umask afin d'empêcher la lecture des fichiers non chiffrés par les d'autres utilisateurs.

Vous devez vous assurer que les mots de passe et la méthode de chiffrement respectent la politique de mot de passe du système.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

ENCRYPT_METHOD (chaîne de caractères)
    Définir les algorithmes de chiffrement par défaut du système pour coder les mots de passes (si aucun algorithme n'a été indiqué sur la ligne de commandes).

    Les valeurs suivantes sont acceptées : DES (par défaut), MD5, SHA256, SHA512.

    Remarque : ce paramètre remplace la variable MD5_CRYPT_ENAB.

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de configurer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

MD5_CRYPT_ENAB (booléen)
    Indiquer si un mot de passe doit être chiffré en utilisant l'algorithme basé sur MD5. Si configurée à yes, les nouveaux mots de passe seront chiffrés en utilisant l'algorithme basé sur MD5 compatible avec celui utilisé par les versions récentes de FreeBSD. Il gère des mots de passe de longueur illimitée et des chaînes de salage plus longues. Configurez-la à no pour copier les mots de passe chiffrés sur d'autres systèmes qui ne comprennent pas le nouvel algorithme. la valeur par défaut est no.

    Cette variable est écrasée par la variable ENCRYPT_METHOD ou par toute option de la ligne de commande utilisée pour configurer l'algorithme de chiffrement.

    Cette variable est obsolète. Vous devriez utiliser ENCRYPT_METHOD.

SHA_CRYPT_MIN_ROUNDS (nombre), SHA_CRYPT_MAX_ROUNDS (nombre)
    Quand ENCRYPT_METHOD est configurée à SHA256 ou SHA512, cela définit le nombre de rounds de SHA utilisés par l'algorithme de chiffrement par défaut (quand le nombre de rounds n'est pas précisé sur la ligne de commande).

    Avec beaucoup de rounds, il est plus difficile de trouver le mot de passe avec une attaque par force brute. Veuillez remarquer que plus de ressources processeur seront nécessaires pour authentifier les utilisateurs.

    Si non précisée, la libc utilisera le nombre de rounds par défaut (5000).

    Les valeurs doivent être comprises dans l'intervalle 1 000 - 999 999 999.

    Si une seule des variables SHA_CRYPT_MIN_ROUNDS ou SHA_CRYPT_MAX_ROUNDS est configurée, alors cette valeur sera utilisée.

    Si SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, la valeur la plus élevée sera utilisée.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VOIR AUSSI

gpasswd(1), groupadd(8), login.defs(5).